#include "foofighter.h"

/* Explosion cycle through all their sprites and disappear off the screen. */

/* Process one frame. */

void tick_explosion(object_t* object)
{
	/* Update the sprite. */

	object->frame++;
	update_sprite(object);

	/* If the frame has cycled back to zero, the explosion has finished.
	 * Destroy it. */

	if (object->frame == 0)
		destroy_object(object);
}

object_t* create_explosion(int sprite, int x, int y)
{
	object_t* object = alloc_object();
	if (!object)
		return NULL;

	object->sprite = sprite;
	object->frame = 0;
	object->rx = x;
	object->ry = y;
	object->layer = explosiondisplaylist;

	object->tick = tick_explosion;
	object->deinit = NULL;

	init_sprite(object);
	update_sprite(object);
	return object;
}

